--- interface/web/mail/lib/lang/en_mail_domain.lng.orig	2023-03-14 21:18:06.955532388 +0100
+++ interface/web/mail/lib/lang/en_mail_domain.lng	2023-03-14 21:17:42.055477643 +0100
@@ -23,3 +23,4 @@
 $wb['relayhost_txt'] = 'Relayhost';
 $wb['relayhost_user_txt'] = 'Relayhost User';
 $wb['relayhost_password_txt'] = 'Relayhost Password';
+$wb['dependent_mail_addresses_txt'] = 'Dependant Addresses';
--- interface/web/mail/mail_domain_edit.php.orig	2023-03-14 20:22:08.932125333 +0100
+++ interface/web/mail/mail_domain_edit.php	2023-03-14 21:22:11.260069814 +0100
@@ -259,6 +259,21 @@
 		parent::onShowEnd();
 	 }
 
+         function onShowEdit() {
+                global $app;
+                $sql = "SELECT domain FROM mail_domain WHERE domain_id = ?";
+                $domainInfo = $app->db->queryOneRecord($sql, $this->id);
+                $domain = $domainInfo["domain"];
+
+                $sql = "SELECT concat(source,' (',type,')') as pretty FROM mail_forwarding WHERE source LIKE ? ";
+                $sql .= "UNION ALL ";
+                $sql .= "SELECT concat(email,' (box)') as pretty FROM mail_user WHERE email LIKE ?";
+                $subs = $app->db->queryAllRecords($sql, '%@'.$domain, '%@'.$domain);
+                $app->tpl->setLoop('mail_forward_and_boxes_info', $subs);
+
+                parent::onShowEdit();
+        }
+
 	function onSubmit() {
 		global $app, $conf;
 
--- interface/web/mail/templates/mail_domain_edit.htm.orig	2023-03-14 20:12:00.778765013 +0100
+++ interface/web/mail/templates/mail_domain_edit.htm	2023-03-14 21:16:31.495322539 +0100
@@ -97,6 +97,15 @@
               </div>
             </tmpl_if>
             </tmpl_if>
+	    <tmpl_if name="mail_forward_and_boxes_info">
+            <div class="form-group">
+                   <label for="mail_forward_and_boxes" class="col-sm-3 control-label">{tmpl_var name='dependent_mail_addresses_txt'}</label>
+                   <div class="col-sm-9">
+                           <textarea name="mail_forward_and_boxes" rows=10 id="mail_forward_and_boxes" class="form-control" disabled="disabled"><tmpl_loop name="mail_forward_and_boxes_info">{tmpl_var name='pretty'}
+</tmpl_loop></textarea>
+                   </div>
+            </div>
+            </tmpl_if>
             <div class="form-group">
                 <label class="col-sm-3 control-label">{tmpl_var name='active_txt'}</label>
                 <div class="col-sm-9">
